﻿
@{
    ViewData["Title"] = "لیست اشتراک های خریداری شده";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}



@section scripts{

    <script src="~/ADMIN/JS/moment.js"></script>
    <script src="~/ADMIN/JS/moment-jalaali.js"></script>   
}


<div class="wrapper-grid">
    <div class="k-rtl">
        @(Html.Kendo().Grid<UserSubscriptionViewModel>()
           .Name("grid")
           .Events(e => e.DataBound("DataBound"))        
           .Columns(columns =>
           {
               columns.Bound(c => c.Time).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;font-weight: 400;" }).Title("تاریخ ثبت");
               columns.Bound(c => c.PhoneNumber).Title("موبایل");
               columns.Bound(c => c.Email).Title("ایمیل");                    
               columns.Bound(c => c.Title).Title("عنوان");
               columns.Bound(p => p.Price).Title("قیمت").HtmlAttributes(new { style="font-weight: 500;"}).ClientTemplate(

                                                     "# if (Price == 0 || Price == null) { #" +
                                                        "<span style='color:green;'>رایگان</span>" +
                                                      "# } else { #" +
                                                          "#= kendo.toString(Price, '\\#\\#,\\#')# تومان"  +
                                                      "# } #"
                                                     );
               columns.Bound(p => p.PaymentPrice).Title("مبلغ پرداختی").HtmlAttributes(new { style="font-weight: 500;"}).ClientTemplate(

                                                     "# if (PaymentPrice == 0 || PaymentPrice == null) { #" +
                                                        "<i style='color:red;vertical-align:middle;vertical-align:text-bottom;' class='material-icons'>close</i>" +
                                                      "# } else { #" +
                                                          "#= kendo.toString(PaymentPrice, '\\#\\#,\\#')# تومان"  +
                                                      "# } #"
                                                     );
               columns.Bound(p => p.Payment).Title("وضعیت پرداخت").HtmlAttributes(new { style="font-weight: 500;"}).ClientTemplate(

                                                     "# if (Payment) { #" +
                                                        "<i style='color:green;vertical-align:middle;vertical-align:text-bottom;' class='material-icons'>check</i>" +
                                                      "# } else { #" +
                                                          "<i style='color:red;vertical-align:middle;vertical-align:text-bottom;' class='material-icons'>close</i>"  +
                                                      "# } #"
                                                     );
               columns.Bound(c => c.UsageCount).Title("تعداد استفاده");
                        
               columns.Command(command => {command.Destroy().Text(" "); }).Width(150);
           })
         
       
          .Editable(editable =>
          {
           
              editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
          }
          )
          .Pageable(pageable => pageable
               .Refresh(true)
               .PageSizes(true)
               .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
               .PageSizes(new int[] { 10, 20, 30 }))
       
          .Selectable(selectable =>
          {
              selectable.Mode(GridSelectionMode.Single);
              selectable.Type(GridSelectionType.Row);
          })
          .Sortable(sortable =>
          {
              sortable.SortMode(GridSortMode.SingleColumn);
          })
        
          .Scrollable(s => s.Height("auto").Enabled(false))
          .DataSource(dataSource => dataSource
              .Ajax()
              .Sort(sort => sort.Add("UserSubscriptionID").Descending())
              .Model(model => model.Id(p => p.UserSubscriptionID))
              .Read(read => read.Action("UserSubscription_Read", "UserSubscription"))            
              .Update(update => update.Action("UserSubscription_Update", "UserSubscription"))
              .Destroy(destroy => destroy.Action("UserSubscription_Destroy", "UserSubscription"))
          )
        )
    </div>
</div>



<script>
    function DataBound(e) {
        var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);
            $(this).find('td').each(function (index, value) {
                if ($(this).text().includes(":") && $(this).text().includes("-")) {
                    var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
                        .format('jYYYY/jM/jDD HH:mm:ss')
                    result = result.replace(' ', '\n');
                    $(this).text(result)
                }
            })
        });
    }

    function Error(e) {
        if (e.errors) {
            var message = "خطای رخ داده:\n";
            $.each(e.errors, function (key, value) {
                if ('errors' in value) {
                    $.each(value.errors, function () {
                        message += this + "\n";
                    });
                }
            });
            alert(message);
        }
    }

</script>



